SerializableToByteArray (Mule ESB 2.2.1 API)
Keywords: org.mule.transformer.simple.SerializableToByteArray class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.simple
Class SerializableToByteArray

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.simple.SerializableToByteArray

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, DiscoverableTransformer, Transformer

Direct Known Subclasses:
  ObjectToByteArray, ObjectToInputStream

    public class SerializableToByteArray

extends AbstractTransformer
implements DiscoverableTransformer

`SerializableToByteArray` converts a serializable object or a String to a byte array. If `MuleMessage` is configured as a source type on this transformer by calling `setAcceptMuleMessage(true)` then the MuleMessage will be serialised. This is useful for transports such as TCP where the message headers would normally be lost.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`SerializableToByteArray()`

Method Summary
`Object` | `doTransform(Object src, String encoding)`
`int` | `getPriorityWeighting()` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`boolean` | `isAcceptMuleMessage()`
`boolean` | `isAcceptUMOMessage()` Deprecated. use `isAcceptMuleMessage()`
`void` | `setAcceptMuleMessage(boolean value)`
`void` | `setAcceptUMOMessage(boolean value)` Deprecated. use `setAcceptMuleMessage(boolean)`
`void` | `setPriorityWeighting(int priorityWeighting)` If 2 or more discoverable transformers are equal, this value can be used to select the correct one

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableToByteArray

    public SerializableToByteArray()

Method Detail

### isAcceptMuleMessage

    public boolean isAcceptMuleMessage()

### setAcceptMuleMessage

    public void setAcceptMuleMessage(boolean value)

### isAcceptUMOMessage

    @Deprecated
    public boolean isAcceptUMOMessage()

  Deprecated. use `isAcceptMuleMessage()`

### setAcceptUMOMessage

    @Deprecated
    public void setAcceptUMOMessage(boolean value)

  Deprecated. use `setAcceptMuleMessage(boolean)`

### doTransform

    public Object doTransform(Object src,
                              String encoding)
                       throws TransformerException

  Specified by:
    `doTransform` in class `AbstractTransformer`
  Throws:
    `TransformerException`

### getPriorityWeighting

    public int getPriorityWeighting()

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `getPriorityWeighting` in interface `DiscoverableTransformer`
  Returns:
    the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

### setPriorityWeighting

    public void setPriorityWeighting(int priorityWeighting)

  Description copied from interface: `DiscoverableTransformer`
  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Specified by:
    `setPriorityWeighting` in interface `DiscoverableTransformer`
  Parameters:
    `priorityWeighting` - the priority weighting for this transformer. This is a value between `DiscoverableTransformer.MIN_PRIORITY_WEIGHTING` and `DiscoverableTransformer.MAX_PRIORITY_WEIGHTING`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.